#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtspeech
Version		:	6.7.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt6 - Speech component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	cmake
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtbase-gui
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qtmultimedia-devel
BuildRequires	:	qt6-rpm-macros
BuildRequires	:	Vulkan-Loader-devel

#-----------------------------------------------------------------------------
%description
The module enables a Qt application to support
accessibility features such as text-to-speech,
which is useful for end-users who are visually
challenged or cannot access the application for
whatever reason. The most common use case where
text-to-speech comes in handy is when the end-user
is driving and cannot attend the incoming messages
on the phone. In such a scenario, the messaging
application can read out the incoming message.
Qt Serial Port provides the basic functionality,
which includes configuring, I/O operations,
getting and setting the control signals of
the RS-232 pinouts.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/GPL* LICENSES/LGPL* LICENSES/BSD*
%{_qt6_libdir}/libQt6TextToSpeech.so.6*
%{_qt6_plugindir}/texttospeech/libqtexttospeech_mock.so
%{_qt6_qmldir}/QtTextToSpeech/*
 
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt6-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtTextToSpeech/*
%{_qt6_libdir}/libQt6TextToSpeech.so
%{_qt6_libdir}/libQt6TextToSpeech.prl
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/*.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_libdir}/cmake/Qt6TextToSpeech/Qt6QTextToSpeechMockPlugin*.cmake
%{_qt6_libdir}/cmake/Qt6TextToSpeech/Qt6TextToSpeech*.cmake
%{_qt6_libdir}/pkgconfig/Qt6TextToSpeech.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_texttospeech*.pri
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/qt6/metatypes/*.json

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt6_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build
	
cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D CMAKE_CURRENT_SOURCE_DIR=%{_qt6_datadir}	\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir} \
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

#-----------------------------------------------------------------------------
%changelog
